import { ComponentFixture, TestBed } from '@angular/core/testing';

import { mock, Mock } from '@alfa-client/test-utils';
import { OrganisationsEinheitService, ZUSTAENDIGE_STELLE_SERVICE } from '@alfa-client/zustaendige-stelle-shared';
import { AsyncPipe } from '@angular/common';
import { MockComponent } from 'ng-mocks';
import { ForwardingDialogContainerComponent } from './forwarding-dialog-container.component';
import { ForwardingDialogComponent } from './forwarding-dialog/forwarding-dialog.component';

describe('ForwardingDialogContainerComponent', () => {
  let component: ForwardingDialogContainerComponent;
  let fixture: ComponentFixture<ForwardingDialogContainerComponent>;

  let organisationsEinheitService: Mock<OrganisationsEinheitService>;

  beforeEach(async () => {
    organisationsEinheitService = mock(OrganisationsEinheitService);

    await TestBed.configureTestingModule({
      imports: [ForwardingDialogContainerComponent, AsyncPipe],
      declarations: [MockComponent(ForwardingDialogComponent)],
    })
      .overrideComponent(ForwardingDialogContainerComponent, {
        set: {
          providers: [
            {
              provide: ZUSTAENDIGE_STELLE_SERVICE,
              useValue: organisationsEinheitService,
            },
          ],
        },
      })
      .compileComponents();

    fixture = TestBed.createComponent(ForwardingDialogContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
