import { ResourceRepository } from '@alfa-client/tech-shared';
import { VorgangService } from '@alfa-client/vorgang-shared';
import { createOrganisationEinheitService } from '@alfa-client/zustaendige-stelle';
import {
  OrganisationsEinheitResource,
  OrganisationsEinheitService,
  ZUSTAENDIGE_STELLE_SERVICE,
} from '@alfa-client/zustaendige-stelle-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { ForwardingDialogComponent } from './forwarding-dialog/forwarding-dialog.component';

@Component({
  selector: 'alfa-forwarding-dialog-container',
  standalone: true,
  imports: [ForwardingDialogComponent, AsyncPipe],
  templateUrl: './forwarding-dialog-container.component.html',
  providers: [
    {
      provide: ZUSTAENDIGE_STELLE_SERVICE,
      useFactory: createOrganisationEinheitService,
      deps: [ResourceRepository, VorgangService],
    },
  ],
})
export class ForwardingDialogContainerComponent implements OnInit {
  private readonly organisationsEinheitService = inject(ZUSTAENDIGE_STELLE_SERVICE) as OrganisationsEinheitService;

  public selectedSearchResult$: Observable<OrganisationsEinheitResource>;

  ngOnInit(): void {
    this.selectedSearchResult$ = this.organisationsEinheitService.getSelectedResult();
  }
}
